%define dirspool   /var/spool/hylafax
%define dirlibdata /var/lib/fax
%define libname    libhylafax

Name:          hylafax
Version:       7.0.8
Release:       1mamba
Summary:       An enterprise-class system for sending and receiving facsimiles
Group:         System/Telephony
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://hylafax.sourceforge.io/
Source:        https://prdownloads.sourceforge.net/hylafax/hylafax-%{version}.tar.gz
Source1:       hylafax-faxgetty.service
Source2:       hylafax-hfaxd.service
Source3:       hylafax-faxq.service
Source4:       hylafax-sysconfig
Patch0:        hylafax-7.0.8-gcc-14.2.0.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libjbig-devel
BuildRequires: libjpeg-devel
BuildRequires: liblcms2-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libpam-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libxcrypt-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libjbig-devel
BuildRequires: ghostscript
BuildRequires: tiff-utils
Requires:      sharutils
Requires:      /usr/sbin/sendmail

%description
HylaFAX is an enterprise-class system for sending and receiving facsimiles as well as for sending alpha-numeric pages.
The software is designed around a client-server architecture.
Fax modems may reside on a single machine on a network and clients can submit an outbound job from any other machine on the network.
Client software is designed to be lightweight and easy to port.
HylaFAX is designed to be very robust and reliable.
The fax server is designed to guard against unexpected failures in the software, in the configuration, in the hardware and in general use.
HylaFAX can support multiple modems and a heavy traffic load.
If you expect to send more than a few facsimiles a day, then HylaFAX is the fax package for you!

%package client
Summary:       Client tools for HylaFax
Group:         System/Telephony
Requires:      %{name} = %{version}-%{release}

%description client
HylaFAX is an enterprise-class system for sending and receiving facsimiles as well as for sending alpha-numeric pages.
The software is designed around a client-server architecture.
Fax modems may reside on a single machine on a network and clients can submit an outbound job from any other machine on the network.
Client software is designed to be lightweight and easy to port.
HylaFAX is designed to be very robust and reliable.
The fax server is designed to guard against unexpected failures in the software, in the configuration, in the hardware and in general use.
HylaFAX can support multiple modems and a heavy traffic load.

This is the client package.

%package server
Summary:       HylaFax server
Group:         System/Servers
Requires:      %{name} = %{version}-%{release}

%description server
HylaFAX is an enterprise-class system for sending and receiving facsimiles as well as for sending alpha-numeric pages.
The software is designed around a client-server architecture.
Fax modems may reside on a single machine on a network and clients can submit an outbound job from any other machine on the network.
Client software is designed to be lightweight and easy to port.
HylaFAX is designed to be very robust and reliable.
The fax server is designed to guard against unexpected failures in the software, in the configuration, in the hardware and in general use.
HylaFAX can support multiple modems and a heavy traffic load.

This is the server package.

%package -n %{libname}
Summary:       Hylafax shared libraries
Group:         System/Libraries

%description -n %{libname}
HylaFAX is an enterprise-class system for sending and receiving facsimiles as well as for sending alpha-numeric pages.
The software is designed around a client-server architecture.
Fax modems may reside on a single machine on a network and clients can submit an outbound job from any other machine on the network.
Client software is designed to be lightweight and easy to port.
HylaFAX is designed to be very robust and reliable.
The fax server is designed to guard against unexpected failures in the software, in the configuration, in the hardware and in general use.
HylaFAX can support multiple modems and a heavy traffic load.

This is the shared libraries of HylaFAX.

%package -n %{libname}-devel
Summary:       Devel files for HylaFAX
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description -n %{libname}-devel
HylaFAX is an enterprise-class system for sending and receiving facsimiles as well as for sending alpha-numeric pages.
This package contains files needed for development.

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
%patch 0 -p1

%build
#:<< _EOF
STRIP=':' \
./configure \
   --nointeractive \
   --with-DIR_BIN=%{_bindir} \
   --with-DIR_SBIN=%{_bindir} \
   --with-DIR_LIB=%{_libdir} \
   --with-DIR_LIBEXEC=%{_bindir} \
   --with-DIR_MAN=%{_mandir} \
   --with-DIR_LIBDATA=%{dirlibdata} \
   --with-LIBDIR=%{_libdir} \
   --with-DIR_SPOOL=%{dirspool} \
   --with-DIR_HTML=/var/www/html/hylafax \
   --with-TIFFBIN=%{_bindir} \
   --with-TIFFINC=-L%{_includedir} \
   --with-LIBTIFF="-ltiff" \
   --with-AWK=/usr/bin/gawk \
   --with-PAGESIZE=A4

make OPTIMIZER="%{optflags}"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

make install \
   DESTDIR=%{buildroot} \
   SBIN=%{buildroot}%{_bindir} \
   LIBEXEC=%{buildroot}%{_bindir} \
   BIN=%{buildroot}%{_bindir} \
   MAN=%{buildroot}%{_mandir} \
   LIBDIR=%{buildroot}%{_libdir} \
   SPOOL=%{buildroot}%{dirspool} \
   LIBDATA=%{buildroot}%{dirlibdata}

#(cd %{buildroot}%{faxspool}/bin; ln -s ps2fax.gs ps2fax)

rm -f %{buildroot}%{_sbindir}/faxsetup.{bsdi,irix}
rm -f %{buildroot}%{_initrddir}/hylafax

install -D -m0644 %{SOURCE1} %{buildroot}%{_unitdir}/faxgetty@.service
install -D -m0644 %{SOURCE2} %{buildroot}%{_unitdir}/hfaxd.service
install -D -m0644 %{SOURCE3} %{buildroot}%{_unitdir}/faxq.service
install -D -m0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/hylafax

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/faxsetup
%attr(755,root,root) %{_bindir}/faxsetup.linux
%doc CONTRIBUTORS COPYRIGHT
#README TODO

%files client
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/edit-faxcover
%attr(755,root,root) %{_bindir}/textfmt
%{_mandir}/man1/*

%files server
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/hylafax
%attr(755,root,root) %{_bindir}/*
%exclude %{_bindir}/faxsetup
%exclude %{_bindir}/faxsetup.*
%exclude %{_bindir}/edit-faxcover
%exclude %{_bindir}/textfmt
%{_unitdir}/faxgetty@.service
%{_unitdir}/hfaxd.service
%{_unitdir}/faxq.service
%dir %{dirspool}
%{dirspool}/*
%dir %{dirlibdata}
%{dirlibdata}/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libfaxserver.so.*
%{_libdir}/libfaxutil.so.*

#%files -n %{libname}-devel
#%defattr(-,root,root)
##%#{_libdir}/*.so

%changelog
* Sun Sep 15 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.8-1mamba
- update to 7.0.8

* Tue Sep 25 2018 Automatic Build System <autodist@mambasoft.it> 6.0.7-1mamba
- automatic version update by autodist

* Sun Jun 10 2012 Automatic Build System <autodist@mambasoft.it> 6.0.6-1mamba
- automatic version update by autodist

* Mon Mar 28 2011 Automatic Build System <autodist@mambasoft.it> 6.0.5-1mamba
- automatic update by autodist

* Sat Jan 16 2010 Automatic Build System <autodist@mambasoft.it> 6.0.4-1mamba
- automatic update by autodist

* Sun Jul 05 2009 Tiziana Ferro <tiziana.ferro@email.it> 6.0.2-1mamba
- update to 6.0.2
- added libjbig support
- added pam support

* Thu Apr 06 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.5-1qilnx
- update to version 4.2.5 by autospec
- removed dependency on qmail, added requirement for /usr/sbin/sendmail

* Wed Oct 12 2005 Davide Madrisan <davide.madrisan@qilinux.it> 4.2.1-3qilnx
- fixed DIR_LIBEXEC directory

* Mon Oct 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 4.2.1-2qilnx
- security fix: QSA-2005-116 (CAN-2005-3069)
- fixed initscript permissions
- compile using %%optflags optimizations
- use A4 for default pagesize
- new packages %{libname}, %{libname}-devel

* Wed Apr 27 2005 Davide Madrisan <davide.madrisan@qilinux.it> 4.2.1-1qilnx
- update to version 4.2.1 by autospec
- also fix the security issue QSA-2005-054 (CAN-2004-1182)
- added %%post and %%postun scripts
- fixed license

* Wed Nov 12 2003 Davide Madrisan <davide.madrisan@qilinux.it> 4.1.8-1qilnx
- rebuilt with 4.1.8 (important security fixes)

* Wed Jun 11 2003 Silvan Calarco <silvan.calarco@qinet.it> 4.1.5-1qilnx
- first build of HylaFax
